petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESLineSearchGetPreCheck

Gets the pre-check function for the line search routine.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchGetPreCheck(SNESLineSearch linesearch, PetscErrorCode (**func)(SNESLineSearch,Vec,Vec,PetscBool*,void*),void **ctx)

### Input Parameters

linesearch -the SNESLineSearch context

### Output Parameters

| func | - [optional] function evaluation routine, see SNESLineSearchPreCheck() for calling sequence
| ctx | - [optional] user-defined context for private data for the function evaluation routine (may be NULL)

### Keywords

get, linesearch, pre-check

### See Also

SNESGetLineSearch(), SNESGetLineSearch(), SNESLineSearchPreCheck(), SNESLineSearchGetPostCheck(), SNESLineSearchSetPreCheck(), SNESLineSearchSetPostCheck()

### Level

intermediate

### Location

src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages